package PseudoProxy;

class InfoDoc
{
  public String fileName;
  public int numbOfTime;
  public float interestFactor;
  public long timeOfReading;
  private InfoLink listOfLink[];

  public InfoDoc(String file)
  {
    int index;
    fileName="";
    String appString=new String(file);
    //Una url pu essere cos composta
    //Url=<scheme>://<net_loc>/<path>;<params>?<query>#<fragment>
    //Togliamo la fragment-part
    if ((index=appString.indexOf("#"))>-1)
      appString=appString.substring(0,index);
    //togliamo la scheme-part
    if ((index=appString.indexOf(":"))>-1)
      appString=appString.substring(index+1);
    //togliamo la net-loc-part
    if (appString.startsWith("//"))
    {
      appString=appString.substring(2);
      if ((index=appString.indexOf("/"))>-1)
      {
        appString=appString.substring(index+1);
        //togliamo la query-part
        if ((index=appString.indexOf("?"))>-1)
          appString=appString.substring(0,index);
        //togliamo la params-part
        if ((index=appString.indexOf(";"))>-1)
          appString=appString.substring(0,index);
      }
    }
    //salviamo la path-part
    fileName=appString;
    //Ora in fileName abbiamo <path>
    if (fileName.toLowerCase().indexOf("html")<=-1)
      numbOfTime=1;
    else
      numbOfTime=0;
    interestFactor=1f/10;
    timeOfReading=0;
    listOfLink=new InfoLink[0];
  }//Fine costruttore
  
  public void saveLinkList(InfoLink[] linkList)
  {
    listOfLink=new InfoLink[linkList.length];
    for (int i=0; i<linkList.length; i++)
      listOfLink[i]=linkList[i];
  }//Fine saveLinkList
  
  public InfoLink[] loadLinkList()
  {
    InfoLink[] appList=new InfoLink[listOfLink.length];
    for (int i=0; i<listOfLink.length; i++)
      appList[i]=listOfLink[i].copy();
    return appList; 
  }
  
  public boolean isParsed()
  {
    return (listOfLink.length>0);
  }
  
  public int getFollowedLink()
  {    
    int num=0;
    if (listOfLink.length>0)
      for (int i=0; i<listOfLink.length; i++)
        if (listOfLink[i].followed)
          num++;
    return num;
  }//Fine getFollowedLink
  
  public int getListLength()
  {
    return listOfLink.length;
  }
  
}//Fine classe InfoDoc
