package PseudoProxy;

import java.io.*;
import java.awt.*;
import java.applet.*;
import java.net.*;
import java.util.Date;

public class TimeCounter extends Applet
{
  private Socket proxySocket;
  private BufferedReader in;
  private DataOutputStream out;
  private int hostIndex;
  private int docIndex;
  private long time;
  private Date beginDate;

  public void start()
  {
    super.start();
    System.out.println("Inizio applet TimeCounter");
    beginDate=new Date();
    time=0;
    hostIndex=Integer.parseInt(getParameter("hostIndex"));
    docIndex=Integer.parseInt(getParameter("docIndex"));
  }//Fine start
  
  public void stop()
  {
    System.out.println("Fine applet TimeCounter");
    Date finalDate=new Date();
    long beginTime=beginDate.getTime();
    long finalTime=finalDate.getTime();
    time=(finalTime-beginTime)*1000;
    //si crea il socket verso il proxy
    try
    {
      proxySocket=new Socket(getCodeBase().getHost(),
                             Integer.parseInt(getParameter("adminPort")));
      out=new DataOutputStream(proxySocket.getOutputStream());
      in=new BufferedReader(new InputStreamReader(proxySocket.getInputStream()));
      out.writeBytes("TIMECOUNTER\n");
      out.flush();
      String buffer=new String();
      buffer=in.readLine();
      if (buffer.equals("ACCEPT"));
      {
        //si inviano i dati al proxy
        buffer=hostIndex+"\n";
        buffer+=docIndex+"\n";
        buffer+=time+"\n";
        out.writeBytes(buffer);
        out.flush();
      }
    }
    catch (Exception e)
    {}
  }//Fine stop

}//Fine classe TimeCounter