import java.io.*;
import java.util.*;

public class DaemonDBThread extends Thread
{
  private int startHour;
  private int startMin;
  private long sleepTime;
  private TwoTierOperator t2toper;

  public DaemonDBThread()
  {
    startHour=1;
    startMin=0;
    t2toper=new TwoTierOperator("jdbc:odbc:DBUtenti2");
  }//Fine costruttore

  public void run()
  {
    Date now;
    int thisHour, thisMin;
    long thisTime, startTime;
    //loop fino a che il proxy-server  attivo
    try
    {
      while(true)
      {
        now=new Date();
        thisHour=now.getHours();
        thisMin=now.getMinutes();
        startTime=(((startHour*60)+startMin)*60);
        if (thisHour<startHour)
        {
          thisTime=(((thisHour*60)+thisMin)*60);
          sleepTime=(startTime-thisTime)*1000;
        }
        else if (thisHour>startHour)
        {
          thisTime=(((thisHour*60)+thisMin)*60);
          sleepTime=((86400-thisTime)+startTime)*1000;
        }
        else
        {
          if (thisMin<startMin)
            sleepTime=(startMin-thisMin)*60000;
          else
            sleepTime=0;
        }
        sleep(sleepTime);
        updateData();
      }//Fine loop
    }
    catch (InterruptedException ie)
    {}
    finally
    {}
  }//Fine run

  private void updateData()
  {
    try
    {
      boolean allRight=t2toper.updateAllUser();
      if (allRight)
        System.out.println("ALL RIGHT");
      else
        System.out.println("PROBLEMS");
    }
    catch (Exception e)
    {}
  }//fine saveData

}//Fine classe DaemonThread
