package PseudoProxy;

import java.net.*;
import java.io.*;

public class AdminServer extends Thread
{
  ServerSocket adminSocket = null;
  Socket appletSocket = null;
  Config config = null;

  AdminServer(Config configObject)
  {
    try
    {
      config=configObject;
      adminSocket=new ServerSocket(0);
      //adminSocket=new ServerSocket(2020);
      config.setAdminPort(adminSocket.getLocalPort());
    }
    catch (IOException e)
    {
      System.out.println("Error opening admin socket");
    }
  }//Fine costruttore

  public void run()
  {
    //loop fino a che il proxy-server  attivo
    try
    {
      while(config.getServerAlive())
      //while(true)
      {
        //si attende un collegamento da un client
        appletSocket = adminSocket.accept();
        //si passa la richiesta ad un nuovo admin-thread
        AdminThread adminThd=new AdminThread(config,appletSocket);
        adminThd.start();
      }//while
    }
    catch (Exception e)
    {}
    finally
    {
      //si attende che tutti gli admin-thread terminino
      while(config.getAdminThreads()>0)
      {}
      try
      {
        adminSocket.close();
      }
      catch (Exception e)
      {}
    }
  }//Fine run

}//Fine classe AdminServer
