package PseudoProxy;

class InfoLink
{
  public String url;
  public String type;
  public boolean followed;
  
  public InfoLink()
  {
    url=new String();
    type=new String();
    followed=false;
  }

  public InfoLink(String u, String t)
  {
    int index;
    String appString=new String(u);
    url="";
    //Una url pu essere cos composta
    //Url=<scheme>://<net-loc>/<path>;<params>?<query>#<fragment>
    //togliamo la fragment-part
    if ((index=appString.indexOf("#"))>-1)
      appString=appString.substring(0,index);
    //togliamo la scheme-part
    if ((index=appString.indexOf(":"))>-1)
      appString=appString.substring(index+1);
    //salviamo la net-loc-part
    if (appString.startsWith("//"))
    {
      appString=appString.substring(2);
      if ((index=appString.indexOf("/"))>-1)
      {
        url+=appString.substring(0,index+1);
        appString=appString.substring(index+1);
        //togliamo la query-part
        if ((index=appString.indexOf("?"))>-1)
          appString=appString.substring(0,index);
        //togliamo la params-part
        if ((index=appString.indexOf(";"))>-1)
          appString=appString.substring(0,index);
      }
    }
    //salviamo la path-part
    url+=appString;
    //Ora in url abbiamo <net-loc>/<path>
    if ((index=t.indexOf("/"))>-1)
      type=t.substring(0,index);
    else
      type=new String(t);
    followed=false;
  }//Fine costruttore

  public InfoLink copy()
  {
    InfoLink appLink=new InfoLink();
    appLink.url=new String(this.url);
    appLink.type=new String(this.type);
    appLink.followed=this.followed;
    return appLink;
  }
}//Fine classe InfoLink
