//package PseudoProxy;

import java.io.*;
import java.awt.*;
import java.applet.*;
import java.net.*;
import java.util.Date;

public class TimeCounter extends Applet
{
  private Socket proxySocket;
  private BufferedReader in;
  private DataOutputStream out;
  private int hostIndex;
  private int docIndex;
  private int adminPort;
  private String adminHost;
  private long time;
  private Date beginDate;

  public void start()
  {
    super.start();
    beginDate=new Date();
    time=0;
    hostIndex=Integer.parseInt(getParameter("hostIndex"));
    docIndex=Integer.parseInt(getParameter("docIndex"));
    adminHost=getParameter("adminHost");
    adminPort=Integer.parseInt(getParameter("adminPort"));
  }//Fine start
  
  public void stop()
  {
    Date finalDate=new Date();
    long beginTime=beginDate.getTime();
    long finalTime=finalDate.getTime();
    time=(finalTime-beginTime);
    //si crea il socket verso il proxy
    try
    {
      proxySocket=new Socket(adminHost,adminPort);
      out=new DataOutputStream(proxySocket.getOutputStream());
      in=new BufferedReader(new InputStreamReader(proxySocket.getInputStream()));
      out.writeBytes("TIMECOUNTER\n");
      out.flush();
      String buffer=new String();
      buffer=in.readLine();
      if (buffer.equals("ACCEPT"));
      {
        //si inviano i dati al proxy
        buffer=hostIndex+"\n";
        buffer+=docIndex+"\n";
        buffer+=time+"\n";
        out.writeBytes(buffer);
        out.flush();
      }
    }
    catch (Exception e)
    {
      System.out.println(e.getMessage());
    }
  }//Fine stop

}//Fine classe TimeCounter